org.springframework.data.jdbc.core.mapping

## Class JdbcSimpleTypes

- java.lang.Object
- - org.springframework.data.jdbc.core.mapping.JdbcSimpleTypes

    public abstract class JdbcSimpleTypes
    extends Object

Simple constant holder for a `SimpleTypeHolder` enriched with specific simple types for relational database access.

Author:
  Mark Paluch

### Field Summary

Fields
`static Set<Class<?>>` `AUTOGENERATED_ID_TYPES`
`static SimpleTypeHolder` `HOLDER`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### AUTOGENERATED_ID_TYPES

    public static final Set<Class<?>> AUTOGENERATED_ID_TYPES

#### HOLDER

    public static final SimpleTypeHolder HOLDER